Automette docs

Get a task's status

GET
/api/v1/tasks/{id}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Path Parameters

id*string

Query Parameters

wait?integer

Seconds to hold until the task ends or waits on a person.

Rangevalue <= 60

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks/string"
{  "task_id": "string",  "agent_id": "string",  "status": "queued",  "title": "string",  "error": {    "code": "string",    "message": "string",    "needed": [      "string"    ]  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z"}